#ifndef SPISLAVE_CFG_H
#define SPISLAVE_CFG_H


/*---------------------------------------------------------------------------*/
/*---------------------- PREPROCESSOR DIRECTIVES ----------------------------*/
/*---------------------------------------------------------------------------*/

/*--------------- INCLUDE DIRECTIVES FOR STANDARD HEADERS -------------------*/

/*----------------- INCLUDE DIRECTIVES FOR OTHER HEADERS --------------------*/

/*-------------------------------- ENUMS ------------------------------------*/

/*-------------------- EXPORTED DEFINES FOR CONSTANTS -----------------------*/
/*Spi transmission start bit : MSB/LSB First*/
#define SPISLAVE_MSB_FIRST                          ((uint8)0x00)
#define SPISLAVE_LSB_FIRST                          ((uint8)0x01)

/*Chip select active polarity setting*/
#define SPISLAVE_CS_ACTIVE_LOW_POL                  ((uint8)0x00)
#define SPISLAVE_CS_ACTIVE_HIGH_POL                 ((uint8)0x01)

/*clock polarity level LOW/HIGH: Inactive state of the clock*/
#define SPISLAVE_CLK_POL_LOW                        ((uint8)0x00)
#define SPISLAVE_CLK_POL_HIGH                       ((uint8)0x01)

/*Data is captured on the leading edge of SCK and changed on the following edge of SCK*/
#define SPISLAVE_CLK_PHA_LEADING                    ((uint8)0x00)
/*Data is changed on the leading edge of SCK and captured on the following edge of SCK*/
#define SPISLAVE_CLK_PHA_TRAILING                   ((uint8)0x01)

/* Data width configuration */
#define SPISLAVE_32BIT_DATAWIDTH                    ((uint16)31U)
#define SPISLAVE_16BIT_DATAWIDTH                    ((uint16)15U)
#define SPISLAVE_8BIT_DATAWIDTH                     ((uint16)7U)
/*-------------------- EXPORTED DEFINE MACROS (#, ##)------------------------*/
/*---------------------------------------------------------------------------*/
/*---------------------- EXPORTED TYPE DECLARATIONS -------------------------*/
/*---------------------------------------------------------------------------*/


/*--------------------------- OTHER TYPEDEFS --------------------------------*/
/*------------------------------- STRUCT ------------------------------------*/
/*------------------------------- UNIONS ------------------------------------*/
/*---------------------------------------------------------------------------*/
/*----------------------EXPORTED OBJECT DECLARATIONS ------------------------*/
/*---------------------------------------------------------------------------*/ 
/*---------------------------------------------------------------------------*/
/*--------------------- EXPORTED FUNCTIONS PROTOTYPES -----------------------*/
/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/
/*------------ EXPORTED FUNCTION-LIKE-MACROS and INLINE FUNCTIONS -----------*/
/*---------------------------------------------------------------------------*/


#endif /* #ifdef SPISLAVE_CFG_H */
